SuperCollider CLASSES (extension)
Undocumented classes

# XiiSoundScratcher

(Undocumented class)
Source: /Users/zzk/Library/Application Support/SuperCollider/downloaded-quarks/ixi/classes/XiiSoundScratcher.sc
Inherits from: Object

## Description

This class is missing documentation.

## Class Methods

### Inherited class methods

### Undocumented class methods

### *new (server, channels, setting)

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### -clear (worm: false)

### -getState

### -initXiiSoundScratcher (server, channels, setting)

### -initXiiSoundScratcherSwing (server, channels, setting)

### -refresh

### -updatePoolMenu

### -win

### -win = value

### -xiigui

### -xiigui = value

## Help template

Copy and paste the text below and save to HelpSource/Classes/XiiSoundScratcher.schelp

    TITLE:: XiiSoundScratcher
    summary:: (put short description here)
    categories:: Undocumented classes
    related:: Classes/SomeRelatedClass, Reference/SomeRelatedStuff, etc.

    DESCRIPTION::
    (put long description here)

    CLASSMETHODS::

    METHOD:: new
    (describe method here)

    ARGUMENT:: server
    (describe argument here)

    ARGUMENT:: channels
    (describe argument here)

    ARGUMENT:: setting
    (describe argument here)

    returns:: (describe returnvalue here)

    INSTANCEMETHODS::

    METHOD:: refresh
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: updatePoolMenu
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: clear
    (describe method here)

    ARGUMENT:: worm
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: initXiiSoundScratcher
    (describe method here)

    ARGUMENT:: server
    (describe argument here)

    ARGUMENT:: channels
    (describe argument here)

    ARGUMENT:: setting
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: xiigui
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: getState
    (describe method here)

    returns:: (describe returnvalue here)

    METHOD:: initXiiSoundScratcherSwing
    (describe method here)

    ARGUMENT:: server
    (describe argument here)

    ARGUMENT:: channels
    (describe argument here)

    ARGUMENT:: setting
    (describe argument here)

    returns:: (describe returnvalue here)

    METHOD:: win
    (describe method here)

    returns:: (describe returnvalue here)

    EXAMPLES::

    code::
    (some example code)
    ::

link::Classes/XiiSoundScratcher::
sc version: 3.8.0